CREATE FUNCTION "dba"."get_pa_yksusnr"( in a_id_skoop integer, in a_kood char(100) )
RETURNS INTEGER
BEGIN
  declare ll_yksusnr integer;
  if a_kood is null or length(a_kood)=0 then
    set ll_yksusnr=0
  else
    set a_kood=Left(Trim(a_kood),50);
    if length(a_kood)<17 then
      select first pa_yksus.yksusnr into ll_yksusnr from pa_yksus where (pa_yksus.skoop=a_id_skoop or a_id_skoop=0) AND pa_yksus.kood=a_kood
    end if;
    if ll_yksusnr is null then
      select first pa_yksus.yksusnr into ll_yksusnr from pa_yksus where (pa_yksus.skoop=a_id_skoop or a_id_skoop=0) AND pa_yksus.nimi=a_kood
    end if;    
  end if;
  if ll_yksusnr is null then
    set ll_yksusnr=0
  end if;
  return ll_yksusnr;
END